aboutsummaryrefslogtreecommitdiff
path: root/gallery
diff options
context:
space:
mode:
Diffstat (limited to 'gallery')
-rwxr-xr-xgallery22
1 files changed, 22 insertions, 0 deletions
diff --git a/gallery b/gallery
new file mode 100755
index 0000000..45e46eb
--- /dev/null
+++ b/gallery
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# Image galleries: a wrapper for sxiv(1).
+#
+
+# Parameters
+BASENAME="`basename $0`"
+IMAGES="$HOME/data/images"
+GALLERY="${1:-$IMAGES}"
+
+# Check
+if [ "$GALLERY" != "-" ] && [ ! -d "$GALLERY" ]; then
+ echo "$BASENAME: path not found: $GALLERY"
+ exit 1
+elif ! which sxiv &> /dev/null; then
+ echo "$BASENAME: please install sxiv"
+ exit 1
+fi
+
+# Dispatch
+# Option -o allows piping the selection output to other tools
+sxiv -t -q -b -o -r $GALLERY 2> /dev/null